Issue645

Title Searching for open bugs sets the button to all
Priority bug Status resolved
Superseder Nosy List barry, berker.peksag, ezio.melotti, ncoghlan
Assigned To Topics

Created on 2017-11-26.23:07:23 by barry, last changed 2018-06-12.18:23:10 by berker.peksag.

Files
File name Uploaded Type Edit Remove
issue645.diff berker.peksag, 2018-06-09.20:59:58 text/plain
issue645_v2.diff berker.peksag, 2018-06-10.12:56:38 text/plain
Messages
msg3422 (view) Author: barry Date: 2017-11-26.23:07:23
I go to bugs.python.org, enter `linesep` in the search field and click the 'open' button, then click search.  In the resulting page, the button is set back to 'all', even though all the hits are open.  This is confusing UI.
msg3475 (view) Author: berker.peksag Date: 2018-06-09.20:59:58
Here's a patch to fix this issue.
msg3477 (view) Author: ncoghlan Date: 2018-06-10.05:22:35
To make this more obviously an either/or situation when looking at the template, perhaps the check on the "All" radio button could be:

    checked python:request.form.getvalue('status') != status_notresolved

Otherwise I'd be wondering which button gets checked on an initial page load when the form hasn't been submitted at all.
msg3478 (view) Author: berker.peksag Date: 2018-06-10.12:56:38
Good catch, Nick. Fixed in issue645_v2.diff. Thanks!
msg3485 (view) Author: berker.peksag Date: 2018-06-12.18:23:09
Applied in https://hg.python.org/tracker/python-dev/rev/9c6cedab723d Thanks for the review, Nick.
History
Date User Action Args
2018-06-12 18:23:10berker.peksagsetstatus: chatting -> resolved
messages: + msg3485
2018-06-10 12:56:38berker.peksagsetfiles: + issue645_v2.diff
messages: + msg3478
2018-06-10 05:22:36ncoghlansetnosy: + ncoghlan
messages: + msg3477
2018-06-09 20:59:59berker.peksagsetfiles: + issue645.diff
nosy: + ezio.melotti, berker.peksag
status: unread -> chatting
messages: + msg3475
2017-11-26 23:07:23barrycreate